# $Revision: 1.16 $, $Date: 2009/10/21 22:18:09 $
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
%include	/usr/lib/rpm/macros.java
#
%define	srcname	xml-commons-resolver
Summary:	Apache XML Commons Resolver classes
Summary(pl.UTF-8):	Klasy Apache XML Commons Resolver
Name:		java-xml-commons-resolver
Version:	1.2
Release:	3
License:	Apache v1.1
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}.tar.gz
# Source0-md5:	46d52acdb67ba60f0156043f30108766
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	xml-commons-resolver
Obsoletes:	xml-commons-resolver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache XML Commons Resolver classes implement Catalog-based entity
and URI resolution.

%description -l pl.UTF-8
Klasy Apache XML Commons Resolver są implementacją rozwiązywania encji
i URI na podstawie katalogu.

%package javadoc
Summary:	javadoc documentation for Apache XML Commons Resolver
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu Apache XML Commons Resolver
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-resolver-javadoc

%description javadoc
javadoc documentation for Apache XML Commons Resolver.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu Apache XML Commons Resolver.

%prep
%setup -q -n %{srcname}-%{version}

find -name "*.jar" | xargs rm -v
mv resolver.xml build.xml

%build
%ant jar javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/resolver.jar $RPM_BUILD_ROOT%{_javadir}/resolver-%{version}.jar
ln -sf resolver-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/resolver.jar

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/apidocs/resolver/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc KEYS LICENSE.resolver.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xml-commons-resolver.spec,v $
Revision 1.16  2009/10/21 22:18:09  pawelz
- dropped obsolete hacks
- distro dependent jdk bconds

Revision 1.15  2009/02/06 00:28:06  pawelz
- export SHELL=/bin/sh
- rel 3

Revision 1.14  2009/02/02 13:34:53  pawelz
- P:/O: old spec name

Revision 1.13  2009/02/02 12:33:19  pawelz
- renamed from xml-commons-resolver
- use java-gcj-compat-devel

Revision 1.12  2009/02/02 12:28:36  glen
- Libraries/Java group

Revision 1.11  2007/12/12 22:00:58  glen
- unify java package; rel 2

Revision 1.10  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.8  2007/01/07 15:49:11  qboosh
- updated to 1.2, removed obsolete source1.4 patch
- separated -javadoc, updated java build system

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2005/05/07 16:49:20  qboosh
- new Source0 URL, updated to 1.1, added source1.4 patch

Revision 1.5  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.4  2003/10/28 20:07:15  qboosh
- descriptions

Revision 1.3  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.2  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.1  2003/07/09 12:47:30  pascalek
- initial release
